variables:
  KUBERNETES_CPU_REQUEST: 16
  KUBERNETES_MEMORY_REQUEST: 64G
  KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 10G

docker-build:
  image: docker:dind
  variables:
    IMAGE: ubuntu-24.04-qcomlt-ci
  before_script:
    - dockerd &
    - echo $DOCKER_PASS | docker login -u $DOCKER_USER --password-stdin artifacts.codelinaro.org
  script:
    - docker build -t $IMAGE ./
    - docker tag $IMAGE artifacts.codelinaro.org/linaro-260-ubuntu/$IMAGE
    - docker push artifacts.codelinaro.org/linaro-260-ubuntu/$IMAGE
  tags:
    - amd64-runner